
# coding: UTF-8

# Copyright (C) 2010 Markus Schmidt <schmidt@boomshop.net>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 1, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

# Dear translator,
#
# if there are spaces at the beginning of the strings, they're essential!
# Please choose the same length of the strings if possible to avoid destroying
# the interface.
# Thank you for your work!

locale = "en"
language = "English"
    
class dictionary:
    
    # NOTEBOOK
    label_themes = "Themes"
    label_settings = "Settings"
    label_tools = "Tools"
    label_display = "Display"
    label_viewn = "View"
    label_services = "Services"
    
    # SETTINGS
    label_size = """<b>Screensize</b>
Desktop size in pixel"""
    label_view = """<b>Target</b>
Position to display"""
    label_orbit = """<b>Orbit</b>
Follow the sun
(the fader sets the angle
of incidence relative to viewer)"""
    label_city = """<b>City</b>
Or choose a city here"""
    label_refresh = """<b>Refresh</b>
Time to sleep
between renderings"""
    label_delay = """<b>Delay</b>
Time to wait for autostart"""
    label_longitude = "<b>Longitude</b>"
    label_latitude = "<b>Latitude</b>"
    label_random = "random"
    
    label_date = """<b>Date</b>
Show a specific date"""

    label_date_year = "Year"
    label_date_month = "Month"
    label_date_day = "Day"
    label_date_hour = "Hour"
    label_date_minute = "Min"
    label_date_zone = "Zone"
    label_fit = "Fit screen"
    label_active = "active"
    label_inactive = "inactive"
    
    label_output = """<b>Output</b>
File or desktop environment"""
    label_script = """<b>Script</b>
Call a script after rendering"""
    label_script_pre = """<b>Script</b>
Call a script before rendering"""
    
    label_search_online = "Search in browser"
    
    output_file = "File"
    output_none = "no d/e!"
    
    # SERVICES
    
    label_xc = """<b>Xplanetclouds.com</b>
Use frequently updated clouds
from <a href="http://xplanetclouds.com" title="register an account @ xplanetclouds.com">xplanetclouds.com</a>
(fee required!)"""
    label_xc_user = "Username:"
    label_xc_pass = "Password:"
    xc_hi_q = "4096x2048"
    xc_lo_q = "2048x1024"
    
    label_nbmc = """<b>NASA Blue Marble
Collection</b>
Use monthly changing
textures from <a href="http://visibleearth.nasa.gov/view_set.php?categoryID=2355" title="Visit NASA Blue Mable Collection">NASA.gov</a>"""
    label_install = "Install"
    label_uninstall="Remove"
    label_cancel="Cancel"
    status_installing_nbmc="Installing NASA Blue Marble Collection (More infos under \"Tools\")..."
    label_nbmc_not_available = "<b>Not installed!</b>"
    label_nbmc_installing="""<b>Installing NASA Blue Marble collection...</b>
(This may take a while depending on your internet connection,
more informations available under the tab "Tools")"""
    
    # THEMESTORE
    label_theme = "<b>Theme: %s</b>"
    label_style = "Style: %s"
    label_new = "<b>new!</b>"
    label_installed = "(installed)"
    label_update_avail = "<span color=\"white\"><b>Update!</b></span>"
    
    search_online = "Search for themes online"
    end_online_search = "Back to theme selection"
    label_no_timestamp = "No timestamp!"
    
    open_theme_file = "Import theme file..."
    theme_files = "Theme files"
    all_files = "All files"
    title_not_readable = "Unreadable file"
    message_not_readable = "Sorry! The file you specified is not readable"
    title_confirm_delete = "Confirm deletion"
    message_confirm_delete = """This will delete all styles coming with this theme! Shure?"""
    active = "<span color=\"white\">ACTIVE</span>"
    title_not_deletable = "Interrupted"
    message_not_deletable="The current theme and the default template can't be removed."
    
    # DISPLAY
    label_earth_size = """<b>Earth size</b>"""
    label_earth_pos = """<b>Earth position</b>
Position of the earth
on the screen"""
    label_corona = """<b>Corona size</b>"""
    label_blur = """<b>Corona blur</b>"""
    label_cloud = """<b>Cloud distance</b>"""
    label_stars = """<b>Stars FOV</b>"""
    label_fx = "<b>Effects</b>"
    
    label_background = """Custom background"""
    label_overlay = """Custom overlay"""
    label_overlay_active = """☑"""    
    label_overlay_inactive = """☐"""
    open_image_file = "Choose image..."
    image_files = "image files"
    status_install_image = "Installing %s ..."
    status_overlay = "overlay"
    status_background = "background"
    
    # STATUSBAR
    status_sleeping = "xplanetFX is sleeping (PID: %s)"
    status_active = "<b>xplanetFX is working</b> (PID: %s)"
    status_stopped = "xplanetFX is inactive"
    status_done = "done."
    status_apply_theme = "Switching to %s | %s..."
    status_install_theme = "Installing theme \"%s\"..."
    status_install_themes = "Installing %i themes..."
    status_downloading_theme = "Downloading theme \"%s\": %i%%"
    status_more = " (%s in the queue)"
    status_save_config = "Saving configuration..."
    status_unknown_de = "Unknown desktop environment."
    status_connecting = "Retrieving list from server..."
    status_connected = "Themes list retrieved"
    status_poollist_read = "Themes checked (%i to install)"
    status_none = "none"
    status_disconnected = "Connection closed"
    status_connection_failed = "Connection failed miserably!"
    status_updates = " <b>%i update(s) available!</b>"
    status_canceled = "Download of \"%s\" canceled."
    
    # TOOLS
    autostart_active = "<b>Autostart enabled:</b> xplanetFX starts automatically and generates the first image after the \"Delay\" in the settings tab."
    autostart_inactive = "<b>Autostart disabled:</b> xplanetFX doesn't start automatically but has to be started manually."

    label_clouds = "<b>Refresh clouds:</b> Use this function to remove the clouds image. This could be neccessary if a download was corrupted and the clouds are therefore destroyed. With the next cycle of xplanetFX the clouds are reloaded again."
    label_log_view="<b>Activity of xplanetFX:</b>"
    label_single="<b>Save image:</b> Render a picture with the saved settings to a specific location. A running xplanetFX will be stopped and won't start automatically again."
    label_update_templates="<b>Update templates:</b> Probes all templates in the pool and downloads all updates automatically."""
    label_language = """<b>Language</b>
Set the language of the GUI"""

    save_image_file = "Save image file..."
    image_files = "Image files"
    
    title_confirm_delete_clouds = "Confirm deletion"
    message_confirm_delete_clouds = """Should the clouds image really be deleted?"""
    
    title_confirm_delete_log = "Confirm deletion"
    message_confirm_delete_log = """Should the logs really be deleted?"""
    
    log_empty = "No logs found."
    
    # UPDATER
    
    updater_title_none = "There are no updates for xplanetFX"
    updater_title_one = "There is one update for xplanetFX"
    updater_title_more = "There are %i xplanetFX updates"
    
    label_updater_update_0 = "<b>No updates.</b>"
    label_updater_update_1 = "<b>One update!</b> (%sB)\n%s"
    label_updater_update_2 = "<b>%i updates!</b> (%sB)\n%s"
    label_updater_nots_0 = "<b>None w/o timestamp.</b>"
    label_updater_nots_1 = "<b>One w/o timestamp!</b> (%sB)\n%s"
    label_updater_nots_2 = "<b>%i w/o timestamp!</b> (%sB)\n%s"
    label_updater_new_0 = "<b>No new themes.</b>"
    label_updater_new_1 = "<b>One new theme!</b> (%sB)\n%s"
    label_updater_new_2 = "<b>%i new themes!</b> (%sB)\n%s"
    
